Package org.eclipse.cdt.core.parser

## Class ParseError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.eclipse.cdt.core.parser.ParseError

All Implemented Interfaces:
  `Serializable`

    public class ParseError
    extends Error

See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Nested Class Summary

Nested Classes
`static class` `ParseError.ParseErrorKind`

### Constructor Summary

Constructors
`ParseError​(String message, ParseError.ParseErrorKind kind)`
`ParseError​(ParseError.ParseErrorKind kind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParseError.ParseErrorKind` `getErrorKind()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseError

    public ParseError​(ParseError.ParseErrorKind kind)

#### ParseError

    public ParseError​(String message,
                      ParseError.ParseErrorKind kind)

Since:
  5.7

### Method Detail

#### getErrorKind

    public ParseError.ParseErrorKind getErrorKind()